<?php
/*
Copyright (C) 2018 Daniel Wirths

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

namespace src\tracker;

use src\core\abstractModel;

class trackerModelModel extends abstractModel
{
	public $id;
	public $name;
	public $port;
	public $pattern;
	public $protocol;
	public $imeiPosition;
	public $timeHourPosition;
	public $timeMinutePosition;
	public $timeSecondPosition;
	public $timeDayPosition;
	public $timeMonthPosition;
	public $timeYearPosition;
	public $timeFunction;
	public $statusPosition;
	public $statusFunction;
	public $coordinatesBPosition;
	public $coordinatesNSPosition;
	public $coordinatesBFunction;
	public $coordinatesLPosition;
	public $coordinatesEWPosition;
	public $coordinatesLFunction;
	public $speedPosition;
	public $speedFunction;
	public $directionPosition;
	public $directionFunction;
	public $eventPosition;
	public $eventFunction;
	public $voltagePosition;
	public $voltagePercentPosition;
}
?>