<?php
/*
Copyright (C) 2018 Daniel Wirths

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
?>
<?php require __DIR__ . "/../main/header.php"; ?>
<?php require __DIR__ . "/../main/menu.php"; ?>

<main class="center">
	<div class="insert">
		<h1>Tracker Modell editieren</h1><br>

		<?php if(!empty($saved[1])): ?>
			<b class="ok">Das Tracker Modell wurde erfolgreich aktualisiert</b><br><br>
		<?php endif; ?>
		<?php if(!empty($saved[2])): ?>
			<b class="ok">Das Tracker Modell wurde erfolgreich erstellt</b><br><br>
		<?php endif; ?>

		<?php if(!empty($errorCode[1])): ?>
			<b class="error">Bitte den Namen angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[2])): ?>
			<b class="error">Bitte den Port angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[28])): ?>
			<b class="error">Der Port ist bereits belegt.</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[3])): ?>
			<b class="error">Bitte den Pattern angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[4])): ?>
			<b class="error">imeiPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[5])): ?>
			<b class="error">timeHourPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[6])): ?>
			<b class="error">timeMinutePosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[7])): ?>
			<b class="error">timeSecondPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[8])): ?>
			<b class="error">timeDayPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[9])): ?>
			<b class="error">timeMonthPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[10])): ?>
			<b class="error">timeYearPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[11])): ?>
			<b class="error">timeFunction angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[12])): ?>
			<b class="error">statusPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[13])): ?>
			<b class="error">statusFunction angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[14])): ?>
			<b class="error">coordinatesBPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[15])): ?>
			<b class="error">coordinatesNSPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[16])): ?>
			<b class="error">coordinatesBFunction angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[17])): ?>
			<b class="error">coordinatesLPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[18])): ?>
			<b class="error">coordinatesEWPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[19])): ?>
			<b class="error">coordinatesLFunction angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[20])): ?>
			<b class="error">speedPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[21])): ?>
			<b class="error">speedFunction angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[22])): ?>
			<b class="error">directionPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[23])): ?>
			<b class="error">directionFunction angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[24])): ?>
			<b class="error">eventPosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[25])): ?>
			<b class="error">eventFunction angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[26])): ?>
			<b class="error">voltagePosition angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[27])): ?>
			<b class="error">voltagePercentPosition angeben</b><br><br>
		<?php endif; ?>

		<form method="POST" action="<?php echo BASE_URL . $_SERVER["PATH_INFO"]; ?>?id=<?php echo e($entry["id"]); ?>">
			<label>
				ID:<br>
				<input type="text" name="id" value="<?php echo e($entry["id"]); ?>" readonly="readonly"><br>
			</label>
			<label>
				Tracker Modell Name (Herstellername):<br>
				<input type="text" name="name" value="<?php echo e($entry["name"]); ?>"><br>
			</label>
			<label>
				Port:<br>
				<input type="text" name="port" value="<?php echo e($entry["port"]); ?>"><br>
			</label>
			<label>
				Protokoll:<br>
				<select name="protocol">
					<option value="TCP">TCP</option>
					<option value="UDP">UDP</option>
				</select><br>
			</label>
			<label>
				Pattern:<br>
				<input type="text" name="pattern" value="<?php echo e($entry["pattern"]); ?>"><br>
			</label>
			<label>
				IMEI:<br>
				<input type="text" name="imeiPosition" value="<?php echo e($entry["imeiPosition"]); ?>"><br>
			</label>
			<label>
				Time (Hour):<br>
				<input type="text" name="timeHourPosition" value="<?php echo e($entry["timeHourPosition"]); ?>"><br>
			</label>
			<label>
				Time (Minute):<br>
				<input type="text" name="timeMinutePosition" value="<?php echo e($entry["timeMinutePosition"]); ?>"><br>
			</label>
			<label>
				Time (Second):<br>
				<input type="text" name="timeSecondPosition" value="<?php echo e($entry["timeSecondPosition"]); ?>"><br>
			</label>
			<label>
				Time (Day):<br>
				<input type="text" name="timeDayPosition" value="<?php echo e($entry["timeDayPosition"]); ?>"><br>
			</label>
			<label>
				Time (Month):<br>
				<input type="text" name="timeMonthPosition" value="<?php echo e($entry["timeMonthPosition"]); ?>"><br>
			</label>
			<label>
				Time (Year):<br>
				<input type="text" name="timeYearPosition" value="<?php echo e($entry["timeYearPosition"]); ?>"><br>
			</label>
			<label>
				Time (Function):<br>
				<select name="timeFunction">
					<option value="timeToUnixTime">timeToUnixTime</option>
				</select><br>
			</label>
			<label>
				Status:<br>
				<input type="text" name="statusPosition" value="<?php echo e($entry["statusPosition"]); ?>"><br>
				<!--<select name="statusFunction">
					<option value=""></option>
				</select><br>-->
			</label>
			<label>
				Koordinaten Breite:<br>
				<input type="text" name="coordinatesBPosition" value="<?php echo e($entry["coordinatesBPosition"]); ?>"><br>
				<select name="coordinatesBFunction">
					<option value="degreeToDecimal">degreeToDecimal</option>
				</select><br>
			</label>
			<label>
				Koordinaten Ausrichtung Nord Süd (NS):<br>
				<input type="text" name="coordinatesNSPosition" value="<?php echo e($entry["coordinatesNSPosition"]); ?>"><br>
			</label>
			<label>
				Koordinaten Länge:<br>
				<input type="text" name="coordinatesLPosition" value="<?php echo e($entry["coordinatesLPosition"]); ?>"><br>
				<select name="coordinatesLFunction">
					<option value="degreeToDecimal">degreeToDecimal</option>
				</select><br>
			</label>
			<label>
				Koordinaten Ausrichtung Ost West (EW):<br>
				<input type="text" name="coordinatesEWPosition" value="<?php echo e($entry["coordinatesEWPosition"]); ?>"><br>
			</label>
			<label>
				Speed:<br>
				<input type="text" name="speedPosition" value="<?php echo e($entry["speedPosition"]); ?>"><br>
				<select name="speedFunction">
					<option value="nauticalKnotsInKmh">nauticalKnotsInKmh</option>
				</select><br>
			</label>
			<label>
				Direction:<br>
				<input type="text" name="directionPosition" value="<?php echo e($entry["directionPosition"]); ?>"><br>
				<!--<select name="directionFunction">
					<option value=""></option>
				</select><br>-->
			</label>
			<label>
				Event:<br>
				<input type="text" name="eventPosition" value="<?php echo e($entry["eventPosition"]); ?>"><br>
				<!--<select name="eventFunction">
					<option value=""></option>
				</select><br>-->
			</label>
			<label>
				Voltage:<br>
				<input type="text" name="voltagePosition" value="<?php echo e($entry["voltagePosition"]); ?>"><br>
			</label>
			<label>
				VoltagePercent:<br>
				<input type="text" name="voltagePercentPosition" value="<?php echo e($entry["voltagePercentPosition"]); ?>"><br>
			</label>

			<br>

			<input type="submit" name="save" value="Tracker Modell speichern">
			<input type="submit" onClick="return confirm('Wirklich löschen?');" name="delete" value="Tracker Modell löschen">
		</form>
	</div>
</main>

<?php require __DIR__ . "/../../src/js/countDownInclude.js"; ?>

<?php require __DIR__ . "/../main/footer.php"; ?>